ata_dev_revalidate
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_revalidate — Revalidate ATA device

## Synopsis

`int ata_dev_revalidate (` | struct ata_device * | dev,
| unsigned int | readid_flags`)`;

## Arguments

`dev`

  device to revalidate

`readid_flags`

  read ID flags

## Description

Re-read IDENTIFY page, make sure `dev` is still attached to the port and reconfigure it according to the new IDENTIFY page.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, negative errno otherwise

Prev | Up | Next
ata_dev_reread_id | Home | ata_dev_xfermask